<div xmlns:th="http://www.thymeleaf.org"
     xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
     th:fragment="header">
    <nav class="navbar navbar-expand-md fixed-top" style="background-color: #b84f3c">
        <div class="container-fluid">
            <a class="navbar-brand" href="/" style="color: whitesmoke">Online Filmography</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-md-0">
                    <li class="nav-link">
                        <a class="nav-link" aria-current="page" href="/films">Films</a>
                    </li>
                    <li class="nav-link">
                        <a class="nav-link" aria-current="page" href="/directors">Directors</a>
                    </li>
                    <li sec:authorize="isAuthenticated() && (hasRole('USER'))" class="nav-link">
                        <a class="nav-link" aria-current="page" th:href="'/rent/user-films/' + ${#authentication.getPrincipal().getUserId()}">My films</a>
                    </li>
                    <li sec:authorize="isAuthenticated() && (hasRole('ADMIN') || hasRole('LIBRARIAN'))" class="nav-link">
                        <a class="nav-link" aria-current="page" href="/users/list">Users</a>
                    </li>
                </ul>
                <form class="d-flex" sec:authorize="isAuthenticated()">
                    <span th:text="${#authentication.getPrincipal().getUsername()}"></span>
                </form>
                <div sec:authorize="isAuthenticated() && !hasRole('ADMIN')">
                    <a class="nav-link" style="float: right" th:href="'/users/profile/' + ${#authentication.getPrincipal().getUserId()}">Profile</a>
                </div>
                <form class="d-flex" sec:authorize="!isAuthenticated()">
                    <a href="/login" class="btn btn-primary" role="button" aria-disabled="true">Enter</a>
                </form>
                <form class="d-flex" sec:authorize="isAuthenticated()">
                    <a href="/logout" class="btn btn-primary" role="button" aria-disabled="true">Exit</a>
                </form>
            </div>
        </div>
    </nav>
</div>